Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class NaccacheSternPrivateKeyParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter
          org.bouncycastle.crypto.params.NaccacheSternKeyParameters
              org.bouncycastle.crypto.params.NaccacheSternPrivateKeyParameters

All Implemented Interfaces:
  CipherParameters

public class NaccacheSternPrivateKeyParameters
extends NaccacheSternKeyParameters

Private key parameters for NaccacheStern cipher. For details on this cipher, please see https://www.gemplus.com/smart/rd/publications/pdf/NS98pkcs.pdf

Constructor Summary
`NaccacheSternPrivateKeyParameters(java.math.BigInteger g, java.math.BigInteger n, int lowerSigmaBound, java.util.Vector smallPrimes, java.math.BigInteger phi_n)` Constructs a NaccacheSternPrivateKey

Method Summary
`java.math.BigInteger` | `getPhi_n()`
`java.util.Vector` | `getSmallPrimes()`

Methods inherited from class org.bouncycastle.crypto.params.NaccacheSternKeyParameters
`getG, getLowerSigmaBound, getModulus`

Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter
`isPrivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NaccacheSternPrivateKeyParameters

    public NaccacheSternPrivateKeyParameters(java.math.BigInteger g,
                                             java.math.BigInteger n,
                                             int lowerSigmaBound,
                                             java.util.Vector smallPrimes,
                                             java.math.BigInteger phi_n)

  Constructs a NaccacheSternPrivateKey

Parameters:
  `g` - the public enryption parameter g
  `n` - the public modulus n = p*q
  `lowerSigmaBound` - the public lower sigma bound up to which data can be encrypted
  `smallPrimes` - the small primes, of which sigma is constructed in the right order
  `phi_n` - the private modulus phi(n) = (p-1)(q-1)

Method Detail

### getPhi_n

    public java.math.BigInteger getPhi_n()

### getSmallPrimes

    public java.util.Vector getSmallPrimes()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD